EXECUTE BLOCK
AS
DECLARE VARIABLE STR_CNPJ VARCHAR(18);
DECLARE VARIABLE STR_CNPJ_LIMPO VARCHAR(18);
DECLARE VARIABLE STR_CNPJS VARCHAR(3000);
BEGIN
  STR_CNPJ = '';
  STR_CNPJ_LIMPO = '';
  STR_CNPJS = '';

  SELECT USUARIO.CNPJ
  FROM USUARIO
  INTO :STR_CNPJ;

  SELECT FUN_APENAS_NUMEROS.RETORNO_STR
  FROM FUN_APENAS_NUMEROS(:STR_CNPJ)
  INTO :STR_CNPJ_LIMPO;

  -- Limpar tabela PROCESSOS_MINERAR de todos os clientes menos "PREFEITURA MUNICIPAL DE FERRAZ DE VASCONCELOS"
  -- 46.523.197/0001-44 - PREFEITURA MUNICIPAL DE FERRAZ DE VASCONCELOS
  
  -- Script da atualização 269, só para manter a sequência
  -- Script da atualização 269, só para manter a sequência
  -- Script da atualização 269, só para manter a sequência

  STR_CNPJS = '46523197000144';

  IF (:STR_CNPJ_LIMPO IS NOT NULL) THEN
  BEGIN
    IF (POSITION(:STR_CNPJ_LIMPO, :STR_CNPJS) = 0) THEN
    BEGIN
      -- DELETE FROM PROCESSOS_MINERAR
      -- WHERE PROCESSOS_MINERAR.CODIGO > 0;
    END
  END
END